## org.biojava.bio.program.ssbind
Class HitStAXHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
              org.biojava.bio.program.ssbind.HitStAXHandler

All Implemented Interfaces:
  StAXContentHandler

    public class HitStAXHandler

extends SeqSimilarityStAXHandler

`AlignmentStAXHandler` handles the Hit element of BioJava BlastLike XML.

Since:
  1.3
Author:
  Keith James

Field Summary
`static StAXHandlerFactory` `HIT_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`ssContext`

Method Summary
`protected void` `handleEndElement(java.lang.String nsURI, java.lang.String localName, java.lang.String qName)`
`protected void` `handleStartElement(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)`

Methods inherited from class org.biojava.bio.program.ssbind.SeqSimilarityStAXHandler
`addHandler, endElement, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIT_HANDLER_FACTORY

    public static final StAXHandlerFactory HIT_HANDLER_FACTORY

Method Detail

### handleStartElement

    protected void handleStartElement(java.lang.String nsURI,
                                      java.lang.String localName,
                                      java.lang.String qName,
                                      org.xml.sax.Attributes attrs)
                               throws org.xml.sax.SAXException

  Overrides:
    `handleStartElement` in class `SeqSimilarityStAXHandler`
  Throws:
    `org.xml.sax.SAXException`

### handleEndElement

    protected void handleEndElement(java.lang.String nsURI,
                                    java.lang.String localName,
                                    java.lang.String qName)
                             throws org.xml.sax.SAXException

  Overrides:
    `handleEndElement` in class `SeqSimilarityStAXHandler`
  Throws:
    `org.xml.sax.SAXException`